Summary:   General dimension convex hull programs
Name:      qhull
Version:   7.2.1
Release:   3%{?dist}
License:   Qhull
URL:       http://www.qhull.org
Source0:   https://github.com/qhull/qhull/archive/v%{version}.tar.gz#/qhull-%{version}.tar.gz

Patch0001: qhull-pic.patch
Patch3000: 0001-Link-executables-against-shared-libs.patch
Patch3001: 0002-Install-docs-into-subdirs.patch

BuildRequires: make gcc gcc-c++ cmake
BuildRequires: chrpath

%description
Qhull is a general dimension convex hull program that reads a set
of points from stdin, and outputs the smallest convex set that contains
the points to stdout.  It also generates Delaunay triangulations, Voronoi
diagrams, furthest-site Voronoi diagrams, and halfspace intersections
about a point.

%package -n libqhull
Summary: General dimension convex hull programs

%description -n libqhull
General dimension convex hull programs

%package -n libqhull_r
Summary: General dimension convex hull programs

%description -n libqhull_r
General dimension convex hull programs

%package -n libqhull_p
Summary: General dimension convex hull programs

%description -n libqhull_p
General dimension convex hull programs

%package devel
Summary: Development files for qhull
Requires: lib%{name} = %{version}-%{release}
Requires: lib%{name}_r = %{version}-%{release}
Requires: lib%{name}_p = %{version}-%{release}

%description devel
Qhull is a general dimension convex hull program that reads a set
of points from stdin, and outputs the smallest convex set that contains
the points to stdout.  It also generates Delaunay triangulations, Voronoi
diagrams, furthest-site Voronoi diagrams, and halfspace intersections
about a point.

%prep
%autosetup -p1

%build
mkdir -p build
cd build
%cmake -S .. -B .
%make_build
cd ..

%install
cd build
%make_install
cd ..

chrpath --delete %{buildroot}%{_libdir}/lib*.so.*


%files
%license COPYING.txt
%{_pkgdocdir}
%exclude %{_pkgdocdir}/COPYING.txt
%exclude %{_pkgdocdir}/src/libqhull
%exclude %{_pkgdocdir}/src/libqhull_r
%{_bindir}/*
%{_mandir}/man1/*

%files -n libqhull
%{_libdir}/libqhull.so.*

%files -n libqhull_r
%{_libdir}/libqhull_r.so.*

%files -n libqhull_p
%{_libdir}/libqhull_p.so.*

%files devel
%{_pkgdocdir}/src/libqhull
%{_pkgdocdir}/src/libqhull_r
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/libqhullcpp.a
%exclude %{_libdir}/libqhullstatic*.a


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.2.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.2.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 01 2023 Miaojun Dong <zoedong@tencent.com> - 7.2.1-1
- initial build
